result format rss / not working as expected (1.8 beta 1)
Closed, ResolvedPublic

Description

Instead of creating a pop-up which allows to save the feed in the browser the user gets directed to Special:Ask


Version: unspecified
Severity: major

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz40748.
Kghbln created this task.Via LegacyOct 3 2012, 9:13 PM
Kghbln added a comment.Via ConduitOct 4 2012, 9:39 AM

A solution to this might as well result in withdrawing RSS from SMW entirely. Legacy support seems to be broken right now.

JeroenDeDauw added a comment.Via ConduitOct 4 2012, 10:20 AM

Well, we have the atom format now. If the atom format works with the same parameters as the rss one, we can just ditch the rss one and alias rss to atom. James, any thoughts?

Unknown Object (User) added a comment.Via ConduitOct 4 2012, 12:06 PM

The only additional option introduced with format=feed was the type parameter (which by default is set to rss) all others remained the same. The only thing to remember is that format=feed is deployed with SRF while format=rss is deployed with SMW.

But swapping the format should not cause any trouble for the output nor the parameters used. Just made the switch from format=rss to format=feed on [1].

[1] http://semantic-mediawiki.org/wiki/Semantic_MediaWiki

Nemo_bis added a comment.Via ConduitOct 18 2012, 9:16 AM

(In reply to comment #3)

The only additional option introduced with format=feed was the type parameter
(which by default is set to rss) all others remained the same. The only thing
to remember is that format=feed is deployed with SRF while format=rss is
deployed with SMW.

Not all installations do or can have SRF, so having a basic, working feed format in SMW seems a valid request. You should probably decide if you're able to provide and maintain it or you prefer to tell people to use SRF, transfering the burden on them.

Unknown Object (User) added a comment.Via ConduitNov 7 2012, 4:00 AM

Can we have a resolution on this one?

The SMW inherent RSS printer is somewhat outdated (and does things in its own way) but we have a SRF feed printer which does pretty much the same job (but in a more sane way) and unless we migrate the SRF feed printer into the SWM RSS printer this bug will not solve itself.

This one goes either won't fix or someone invests the time the make SMW RSS work but I for one had my part in creating a working RSS/Atom printer, so I will no put any energy on the table to fix this one.

Kghbln added a comment.Via ConduitNov 7 2012, 8:37 AM

In case of a WONTFIX, I come to believe that this is the preferred resolution for this bug, the result format RSS should be removed in SMW core.

mkroetzsch added a comment.Via ConduitNov 7 2012, 9:15 AM

The builtin RSS printer has hopefully not been broken in any released version. I am using it for a long time, and I know that people subscribe to it. I don't mind changing this to atom if this has some improvements, but this seems unrelated to this bug (the internal improvements to the format do not account for being redirected to Special:Ask).

If this is the simplest solution, we can still move to atom instead. What would it mean for existing subscribers? Would their clients be unhappy?

Kghbln added a comment.Via ConduitNov 7 2012, 10:04 AM

Currently we have:

  • 1.7: RSS (no Atom) in SMW (working)
  • 1.8: RSS (no Atom) in SMW (broken), RSS and Atom in SRF (working)

I guess this is now about providing working RSS and Atom either in SMW or in SRF. I do not think that it is necessary or advisable to have RSS both in SMW and SRF.

If RSS gets removed from SMW wikis will have to install SRF to use in. The queries will have to be adjusted anyway since the new name of the result format is feed instead of rss (which is good).

JeroenDeDauw added a comment.Via ConduitNov 7 2012, 12:32 PM

If I understand this correctly, people should be able to switch from the old to the new format without breaking stuff. If this is so, I vote for ditching the old one and putting the new one in SMW.

Kghbln added a comment.Via ConduitNov 7 2012, 2:34 PM

Currently we have:

  • 1.7: RSS (no Atom) in SMW (working)
  • 1.8: RSS (no Atom) in SMW (broken), RSS and Atom in SRF (working)

I guess this is now about providing working RSS and Atom either in SMW or in SRF. I do not think that it is necessary or advisable to have RSS both in SMW and SRF.

If RSS gets removed from SMW wikis will have to install SRF to use in. The queries will have to be adjusted anyway since the new name of the result format is feed instead of rss (which is good).

Kghbln added a comment.Via ConduitNov 7 2012, 2:35 PM

Pls disregard Comment 10. I do not know what happened here.

mkroetzsch added a comment.Via ConduitNov 8 2012, 7:59 AM

I am happy with having the new code in SMW. Can we make it so that the format=rss works as before (using the new RSS printer)? Otherwise it will be a pain to upgrade this on wikis with such queries.

Unknown Object (User) added a comment.Via ConduitNov 11 2012, 5:34 AM

The new name is format=feed but format=rss still works as alias.

Move from SRF to SMW

https://gerrit.wikimedia.org/r/#/c/32847/

Eliminating the Feed printer from the SRF repository

https://gerrit.wikimedia.org/r/#/c/32861/

Kghbln added a comment.Via ConduitNov 11 2012, 4:17 PM

The change was merged [1]. Thus closing as RESOLVED FIXED. I will update the docu on smw.o soon. Thank you and cheers.

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/SemanticMediaWiki.git;a=commit;h=e678ada7331002748789811527bffc7797070337

Add Comment